Imports System.Data.SqlClient
Imports System.Web.Configuration

Public Class ProdutosModel

    Public Function getProdutos() As IList(Of Produtos)

        Dim constr As String = WebConfigurationManager.ConnectionStrings("conexaoNorthwind").ConnectionString
        Dim sqlstr As String = "Select ProductID, ProductName, UnitPrice from Products"
        Dim sqldr As SqlDataReader = Nothing
        Dim sqlcmd As SqlCommand = Nothing
        Dim listaProdutos As List(Of Produtos) = Nothing

        listaProdutos = New List(Of Produtos)

        Using sqlcon As New SqlConnection(constr)
            sqlcmd = New SqlCommand(sqlstr, sqlcon)
            sqlcon.Open()
            sqldr = sqlcmd.ExecuteReader(CommandBehavior.CloseConnection)
            While (sqldr.Read)
                Dim produto As Produtos = New Produtos()
                produto.ProductId = sqldr.GetInt32(0)
                produto.ProductName = sqldr.GetString(1).ToString
                produto.UnitPrice = sqldr.GetDecimal(2)
                listaProdutos.Add(produto)
            End While
        End Using

        Return listaProdutos

    End Function

End Class
